Subject: [Speechsc] Media stream synchronization in RECOGNIZE method

From: "Ilya Knyazhansky" <[email-masked]>
Date: Wed, 1 Mar 2006 17:30:45 +0200

Hi All,
 
I am currently implementing the MRCP interface for an ASR developed by
our company and came across a problem of 
synchronizing media stream (RTP packets) with the recognition request
(RECOGNIZE method) as the protocol draft states:
 
(Somewhere around page 100 of draft-ietf-speechsc-mrcpv2-09.txt)
<<
   A number of
   mechanisms exist to resolve this condition and the mechanism chosen
   is left to the implementers of recognition resource.  The recognizer
   SHOULD expect the media to start flowing when it receives the
   recognize request, but SHOULD NOT buffer anything it receives
   beforehand.
 
I have a couple of questions regarding this statement:
 
1. What the proposed mechanisms - I would appreciate getting any pointer
to some sort of solution/algorithm
2. How this can be achieved w/o buffering packets received before
recognition request
 
Thanks,
Ilya Knyazhansky
ilyak at nscspeech.com
 
_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc